﻿using System;
using System.IO.Ports;

namespace SerialConsole
{
    class Program
    {
        
        static void Main(string[] args)
        {
            string[] serialPorts = System.IO.Ports.SerialPort.GetPortNames();          
            foreach (string port in serialPorts) {
                Console.WriteLine(port);
            }
            Console.Write("Enter name of serial port you want to use: ");
            string com = Console.ReadLine();
            SerialPort ComPort = new SerialPort(com);
            ComPort.BaudRate = 57600;
            ComPort.Parity = Parity.None;
            ComPort.StopBits = StopBits.One;
            ComPort.DataBits = 8;
            ComPort.Handshake = Handshake.None;
            ComPort.DataReceived += new SerialDataReceivedEventHandler(OnSerialDataReceived);
            ComPort.Open();
            ComPort.WriteLine("Hello World!");
            Console.ReadKey();
            ComPort.Close();
        }

        private static void OnSerialDataReceived(object sender, SerialDataReceivedEventArgs args)
        {
            SerialPort ComPort = (SerialPort) sender;
            Console.WriteLine(ComPort.ReadLine());
        }

    }
}
