﻿using System;
using System.Windows.Forms;
using System.IO.Ports;

namespace SerialSample14
{
    public partial class Form1 : Form
    {
        SerialPort ComPort = new SerialPort("COM1");
        string result = "";
        public Form1()
        {
            InitializeComponent();
            ComPort.BaudRate = 9600;
            ComPort.Parity = Parity.None;
            ComPort.StopBits = StopBits.One;
            ComPort.DataBits = 8;
            ComPort.Handshake = Handshake.None;
            ComPort.DataReceived += OnSerialDataReceived;
            ComPort.Open();
        }

        private void OnSerialDataReceived(object sender, SerialDataReceivedEventArgs args)
        {
            result = ComPort.ReadLine();
            lblResult.Invoke(new EventHandler(lblResult_DataReceived));
        }

        private void lblResult_DataReceived(object sender, EventArgs e)
        {
            lblResult.Text = result;
        }

        private void btnSync_Click(object sender, EventArgs e)
        {
            lblResult.Text = "";
            int b = int.Parse(comboBox1.Text);
            ComPort.BaudRate = b;
            ComPort.DiscardInBuffer();
            ComPort.Write(new byte[] {0x80}, 0, 1);
        }
    }
}
