﻿using System;
using System.Windows.Forms;
using System.IO.Ports;

namespace SerialSample4
{
    public partial class Form1 : Form
    {
        SerialPort ComPort = new SerialPort("COM1");
        String state = "";
        public Form1()
        {
            InitializeComponent();
            if (ComPort.IsOpen) ComPort.Close();
            ComPort.BaudRate = 9600;
            ComPort.Parity = Parity.None;
            ComPort.StopBits = StopBits.One;
            ComPort.DataBits = 8;
            ComPort.Handshake = Handshake.None;
            ComPort.DataReceived += OnSerialDataReceived;
            ComPort.Open();
        }

        private void OnSerialDataReceived(object sender, SerialDataReceivedEventArgs args)
        {
            int val = ComPort.ReadByte();
            if (val == 'P') state = "pressed"; else state = "released";
            lblState.Invoke(new EventHandler(lblState_DataReceived));
        }

        private void lblState_DataReceived(object sender, EventArgs e)
        {
            lblState.Text = "Button is " + state + ".";
        }

        private void btnOn_Click(object sender, EventArgs e)
        {
            ComPort.Write("a");
        }

        private void btnOff_Click(object sender, EventArgs e)
        {
            ComPort.Write("b");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ComPort.Write("r");
        }

    }
}
