﻿using System;
using System.Windows.Forms;
using System.IO.Ports;

namespace SerialSample5
{
    public partial class Form1 : Form
    {
        SerialPort ComPort = new SerialPort("COM1");
        int val = 0;
        public Form1()
        {
            InitializeComponent();
            if (ComPort.IsOpen) ComPort.Close();
            ComPort.BaudRate = 9600;
            ComPort.Parity = Parity.None;
            ComPort.StopBits = StopBits.One;
            ComPort.DataBits = 8;
            ComPort.Handshake = Handshake.None;
            ComPort.DataReceived += OnSerialDataReceived;
            ComPort.Open();
        }

        private void OnSerialDataReceived(object sender, SerialDataReceivedEventArgs args)
        {
            int lByte = ComPort.ReadByte();
            int hByte = ComPort.ReadByte();
            val = (hByte<<8) + lByte;
            lblValue.Invoke(new EventHandler(lblValue_DataReceived));
        }

        private void lblValue_DataReceived(object sender, EventArgs e)
        {
            lblValue.Text = val.ToString();
            progressBar1.Value = val;
            if (val > 0) progressBar1.Value = val - 1;
            progressBar1.Value = val;
            double valf = (double) val / 399.6;
            lblVoltage.Text = valf.ToString("0.0000") + " V";
            ComPort.Write("x");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ComPort.Write("x");
        }

    }
}
